NI-​DAQmx​と​Microsoft Windows​の​互換性

概要

この​ドキュメント​では、​Microsoft Windows​オペレーティングシステム​と​それに​対応​する​NI-​DAQmx​ハードウェア​ドライ​バ​の​バージョン​情報​が​記載​さ​れ​てい​ます。​オペレーティングシステム​を​アップ​グレート​または​更新​する​場合、​または​コード​を​新しい​システム​に​移植​する​場合​に​は、​この​情報​を​参照​し​て​正しい​バージョン​を​インストール​し​て​くだ​さい。​互換性​の​ない​バージョン​を​使用​すると、​エラー​の​発生、​Windows​で​デバイス​の​ドライバ​を​認識​または​検知​でき​ない​ため​に​検索​でき​ない、​または​Windows​デバイス マネージャー​または​NI Measurement & Automation Explorer(MAX)​に​デバイス​が​ない​など​の​不具合​が​発生​し​ます。

この​記事​は、​技術​サポート​データベース​「6HQ994XC:NI-​DAQmx​と​Windows​の​バージョン​互換性」​に​取​って​替わる​もの​です。NI​マニュアル​の​なかには、​この​古い​ドキュメント​を​参照​し​て​いる​もの​も​あり​ます。​古い​技術​サポート​データベース​の​URL​から​リ​ダイレクト​さ​れる​場合​は、​ブック​マーク​を​新しい​ページ​に​更新​し​て​くだ​さい。

内容

NI-​DAQmx​と​Microsoft Windows​デスク​トップ​用​オペレーティングシステム​の​互換性表

オペレーション​システム​だけ​で​なく、​DAQmx​ドライバ​を​使用​する​アプリケーション​と​の​互換性​も​考慮​する​必要​が​あり​ます。​詳細​について​は​「関連​リンク」​セクション​を​参照​し​て​くだ​さい。​特定​デバイス​の​互換性​について​は​「DAQmx readme」​を​参照​し​て​くだ​さい。

旧​バージョン​の​NI-​DAQmx​または​Windows​の​互換性​について​は、​この​ドキュメントのダウンロードセクション​に​ある​「DAQmx Windows Compatibility Table」​という​添付​資料​を​ご覧​くだ​さい。

この​表​を​使用​し​て、​NI-​DAQmx​の​バージョン​と​それに​互換性​の​ある​Windows​デスク​トップ​用​オペレーティングシステム​の​エディション​を​比較​し​ます。
NI-​DAQmx Microsoft Windows - デスク​トップ​バージョン
10 8.1 7
20.1  
20.0  
19.6  
19.5  
19.0  
18.6  
18.5  
18.1  
18.0  
17.6  

互換性​の​ある​バージョン

Service Pack​が​必要

NI-​DAQmx​と​Microsoft Windows Server​用​オペレーティングシステム​の​互換性表

旧​バージョン​の​NI-​DAQmx​または​Windows​の​互換性​について​は、​この​ドキュメントのダウンロードセクション​に​ある​「DAQmx Windows Compatibility Table」​という​添付​資料​を​ご覧​くだ​さい。
この​表​を​使用​し​て、​NI-​DAQmx​の​バージョン​と​それに​互換性​の​ある​Windows Server​用​オペレーティングシステム​の​エディション​を​比較​し​ます。
NI-​DAQmx Microsoft Windows - Server​エディション
20161 2012 R21 2008 R21
20.1  
20.0  
19.6    
19.5    
19.0    
18.6    
18.5    
18.1    
18.0    
17.6    

1 Business​エディション​のみ

 

互換性​の​ある​バージョン

Service Pack​が​必要

Windows Embedded Standard (WES) 7​の​サポート

NI​の​コンパクト​コントローラ​の​一部​に​は、​NI​用​に​カスタマイズ​さ​れ​た​バージョン​の​WES 7​が​同​梱​さ​れ​て​おり、​これ​に​は​NI​の​デバイス​および​ソフトウェア​の​実行​に​必要​な​パッケージ​が​含​まれ​てい​ます。​NI-​DAQmx​で​サポート​さ​れる​WES 7​は​この​バージョン​のみ​で、​NI​では​その他​の​WES​バージョン​を​サポート​し​てい​ま​せん。